<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="BloqueoHabitaciones.aspx.cs" Inherits="Seven.Front.BloqueoHabitaciones" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("BloqueoHabitaciones") %> [5.2]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para BH */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetBH() {
            $.ajax({
                url: 'Servicio.svc/GetBloqueoHabitaciones',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                    , "Fil_id_thab": $("input[name=cbFil_id_thab]:checked").val(), "vFil_id_thab": $('#cbTipoHabi').val()
                    , "Fil_piso": $("input[name=cbFil_piso]:checked").val(), "vFil_piso": $('#cbPiso').val()
                    , "Fil_fecha_desde": $("input[name=cbFil_fecha_desde]:checked").val(), "Fil_fecha_desde_modo": $("#cbDateOps").val()
                    , "vFil_fecha_desde": $('#txtFil_fecha_desde').val(), "vFil_fecha_desde2": $('#txtFil_fecha_desde2').val()
                    , "Fil_fecha_hasta": $("input[name=cbFil_fecha_hasta]:checked").val(), "Fil_fecha_hasta_modo": $("#cbDateOps2").val()
                    , "vFil_fecha_hasta": $('#txtFil_fecha_hasta').val(), "vFil_fecha_hasta2": $('#txtFil_fecha_hasta2').val()
                    , "Fil_observaciones": $("input[name=cbFil_observaciones]:checked").val(), "vFil_observaciones": $('#txtFil_observaciones').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgBH").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgBH")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgBH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutBH(id, id_habi, fecha_desde, fecha_hasta, observaciones, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutBloqueoHabitaciones',
                data: {
                    "id_ford": id, "id_habi": id_habi, "fecha_desde": fecha_desde, "fecha_hasta": fecha_hasta, "observaciones": $('#txtMotivo').val()
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementBH').val(0);
                            $('#txtMotivo').val('');
                            BotonDefaultBH();
                            RefreshGridBH();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultBH();
                                RefreshGridBH();
                            }
                            else {
                                $('#IdSubElementBH').val(res);
                                BotonDefaultBH();
                                RefreshGridBH();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridBH() {

            var lselBH;
            var colMap = {};
            $("#jqgBH").jqGrid({
                datatype: 'local',
                height: 150,
                width: 500,
                colNames: ['', '<%=L.LBL("LblGENRoom") %>', '', '<%=L.LBL("LblGENStart") %>', '<%=L.LBL("LblGENEnd") %>', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            {
                                name: 'id_habi', index: 'id_habi', width: 10, editable: true,
                                formatter: 'select', stype: 'select', edittype: 'select', editoptions: { <%=cbHabitacionJQ %> }
                            },
                            { name: 'habitacion', index: 'habitacion', width: 10, editable: true, hidden: true },
                            { name: 'fecha_desde', index: 'fecha_desde', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'observaciones', index: 'observaciones', width: 10, editable: true, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselBH) && !isNaN(id)) {
                            $("#jqgBH").jqGrid('delRowData', lselBH);
                            //$('#jqgBH').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgBH').jqGrid('restoreRow', id);

                            var ret = jQuery("#jqgBH").jqGrid('getRowData', id);

                            $('#jqgBH').jqGrid('restoreRow', lselBH);

                            $('#IdSubElementBH').val(ret.Id);

                            $('#txtMotivo').val(ret.observaciones);
                        }
                        else {
                            BotonNuevoBH();
                        }

                        $('#jqgBH').jqGrid('editRow', id, true, EventsBH);

                        lselBH = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselBH)) {
                            $("#jqgBH").jqGrid('delRowData', lselBH);
                            $('#jqgBH').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgBH').jqGrid('saveRow', lselBH);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgBH').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgBH").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextBH').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconBH').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextBH').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconBH').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgBH').jqGrid('setSelection', id); 

                        BotonSelectBH();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgBH").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementBH').val()) == 0) {
                            $('#IdSubElementBH').val($("#jqgBH").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgBH").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgBH").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgBH').jqGrid('setSelection', $('#IdSubElementBH').val());
                    if (parseInt($('#IdSubElementBH').val()) != 0) {
                        BotonSelectBH();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        function EventsBH(id) {
            $("#" + id + "_id_habi").prop('disabled', true);
            $("#" + id + "_fecha_desde").prop('disabled', true);
            $("#" + id + "_fecha_hasta").prop('disabled', true);
        }

        function EventsNewBH() {
            var selr = jQuery('#jqgBH').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_habi").on('change', function () { BotonGuardarBH(); });
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarBH(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarBH(); });
            $("#" + selr + "_fecha_desde").on('change', function () { BotonGuardarBH(); });
            $("#" + selr + "_fecha_hasta").on('change', function () { BotonGuardarBH(); });

            $("#" + selr + "_fecha_desde").datepicker({
                firstDay: 0,
                changeYear: true,
                changeMonth: true
            });

            $("#" + selr + "_fecha_hasta").datepicker({
                firstDay: 0,
                changeYear: true,
                changeMonth: true
            });
        }

        function InitializeComponentsBH() {
            $("#txtMotivo").on('input', function () { BotonGuardarBH(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridBH() {
            $("#jqgBH").jqGrid("setGridParam", { datatype: "json", datatype: GetBH, loadonce: true });
            $("#jqgBH").trigger("reloadGrid");
            $("#jqgBH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateBH() {
            $('#IdSubElementBH').val(0);
            $('#txtMotivo').val('');
            $("#jqgBH").jqGrid('addRow', {
                initdata: { 'Id': '0', 'fecha_desde': '<%=string.Format("{0:d}", fecha_hotelera) %>', 'fecha_hasta': '<%=string.Format("{0:d}", fecha_hotelera.AddDays(1)) %>' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });
            BotonGuardarBH();
            EventsNewBH();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveBH() {
            var id = $("#jqgBH").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutBH(id, $('#' + id + '_id_habi').val(), $('#' + id + '_fecha_desde').val(), $('#' + id + '_fecha_hasta').val(), $('#' + id + '_observaciones').val(), $('#' + id + '_eliminado').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteBH() {
            var id = $("#jqgBH").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutBH(id, $('#' + id + '_id_habi').val(), $('#' + id + '_fecha_desde').val(), $('#' + id + '_fecha_hasta').val(), $('#' + id + '_observaciones').val(), $('#' + id + '_eliminado').val(), 1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelBH() {
            var id = $("#jqgBH").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgBH').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultBH();
        }

        function BotonDefaultBH() {
            $('#btnNuevoBH').button('enable');
            $('#btnEliminarBH').button('disable');
            $('#btnGuardarBH').button('disable');
            $('#btnCancelarBH').button('disable');
        }

        function BotonNuevoBH() {
            $('#btnNuevoBH').button('disable');
            $('#btnEliminarBH').button('disable');
            $('#btnGuardarBH').button('disable');
            $('#btnCancelarBH').button('enable');
        }

        function BotonSelectBH() {
            $('#btnNuevoBH').button('enable');
            var id = $("#jqgBH").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarBH').button('enable');
            }
            else {
                $('#btnEliminarBH').button('disable');
            }
            $('#btnGuardarBH').button('disable');
            $('#btnCancelarBH').button('disable');
        }

        function BotonGuardarBH() {
            $('#btnNuevoBH').button('disable');
            $('#btnEliminarBH').button('disable');
            $('#btnGuardarBH').button('enable');
            $('#btnCancelarBH').button('enable');
        }

        function GetHAB() {
            $('#jqgHAB').jqGrid('clearGridData');
            $.ajax({
                url: 'Servicio.svc/GetBloqueoHabitacionesHabis',
                data: {
                    "id_thab": $("#cbTipoHabiMUL").val(), "piso": $('#cbPisoMUL').val()
                    , "fecha_desde": $('#txtFecIni').val(), "fecha_hasta": $('#txtFecFin').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    try {
                        $('#dlgCargando').dialog('close');
                        $("#jqgHAB").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgHAB")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgHAB").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadGridHAB() {

            var lselHAB;
            var colMap = {};
            $("#jqgHAB").jqGrid({
                datatype: 'local',
                height: 210,
                width: 130,
                colNames: ['', '<%=L.LBL("LblGENRoom") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'habitacion', index: 'habitacion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselHAB) && !isNaN(id)) {
                            $("#jqgHAB").jqGrid('delRowData', lselHAB);
                            //$('#jqgHAB').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgHAB').jqGrid('restoreRow', id);

                            var ret = jQuery("#jqgHAB").jqGrid('getRowData', id);

                            $('#jqgHAB').jqGrid('restoreRow', lselHAB);

                            $('#IdSubElementHAB').val(ret.Id);
                        }

                        lselHAB = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselHAB)) {
                            $("#jqgHAB").jqGrid('delRowData', lselHAB);
                            $('#jqgHAB').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgHAB').jqGrid('saveRow', lselHAB);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgHAB').jqGrid('restoreRow', id);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        function RefreshGridHAB() {
            $("#jqgHAB").jqGrid("setGridParam", { datatype: "json", datatype: GetHAB, loadonce: true });
            $("#jqgHAB").trigger("reloadGrid");
            $("#jqgHAB").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function InitializeComponentsHAB()
        {
            $("#txtFecIni").on('change', function () { RefreshGridHAB(); });
            $("#txtFecFin").on('change', function () { RefreshGridHAB(); });
        }

        function DelBH() {
            $.ajax({
                url: 'Servicio.svc/DelBloqueoHabitaciones',
                data: {
                    "elementos": JSON.stringify($('#jqgBH').jqGrid('getDataIDs'))
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $('#dlgInformation').html(json.d);
                    $('#dlgInformation').dialog('open');
                    BotonDefaultBH();
                    RefreshGridBH();
                    $('#txtMotivo').val('');
                }
            });
        }

        function PutBHMul() {
            $.ajax({
                url: 'Servicio.svc/PutBloqueoHabitacionesMultiple',
                data: {
                    "elementos": $("#jqgHAB").jqGrid('getGridParam', 'selarrrow').toString()
                    , "fecha_desde": $('#txtFecIni').val(), "fecha_hasta": $('#txtFecFin').val(), "observaciones": $('#txtMotivo2').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $('#dlgInformation').html(json.d);
                    $('#dlgInformation').dialog('open');
                    RefreshGridHAB();
                    RefreshGridBH();
                }
            });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=520&e=0'
                + "&fk=" + $("input[name=cbFil_id_thab]:checked").val() + "&vk=" + $('#cbTipoHabi').val()
                + "&ff=" + $("input[name=cbFil_piso]:checked").val() + "&vf=" + $('#cbPiso').val()
                + "&ffe=" + $("input[name=cbFil_fecha_desde]:checked").val() + "&ffem=" + $("#cbDateOps").val()
                + "&vfe=" + $('#txtFil_fecha_desde').val() + "&vfe2=" + $('#txtFil_fecha_desde2').val()
                + "&ffs=" + $("input[name=cbFil_fecha_hasta]:checked").val() + "&ffsm=" + $("#cbDateOps2").val()
                + "&vfs=" + $('#txtFil_fecha_hasta').val() + "&vfs2=" + $('#txtFil_fecha_hasta2').val()
                + "&fo=" + $("input[name=cbFil_observaciones]:checked").val() + "&vo=" + $('#txtFil_observaciones').val()
           , '_blank');
        }


    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 180,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        DelBH();
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgFiltro").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 280,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENSearch") %>": function () {
                        RefreshGridBH();
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgMultiples").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 380,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        PutBHMul();
                        //$(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridBH();
            LoadGridHAB();

            InitializeComponentsBH();
            InitializeComponentsHAB();

            BotonDefaultBH();

            RefreshGridBH();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="BloqueoHabitaciones.aspx"><%=L.TIT("BloqueoHabitaciones") %> [5.2]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 500px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("MsgFORDPonerOrdenMostradas") %>
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgMultiples" title="<%=L.LBL("LblFDKBHSacarOrdenVarias") %>" style="text-align: center; padding-top: 25px">
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                    <table style="text-align: left;">
                                        <tr>
                                            <%--<td>
                                                <input type="checkbox" id="cbFilMUL_id_thab" name="cbFilMUL_id_thab" value="1" />
                                            </td>--%>
                                            <td>
                                                <%=L.LBL("LblGENRoomType") %>:
                                            </td>
                                            <td colspan="2">
                                                <%=cbTipoHabiMUL %>
                                            </td>
                                        </tr>
                                        <tr>
                                            <%--<td>
                                                <input type="checkbox" id="cbFilMUL_piso" name="cbFilMUL_piso" value="1" />
                                            </td>--%>
                                            <td>
                                                <%=L.LBL("LblFDKPiso") %>:
                                            </td>
                                            <td>
                                                <%=cbPisoMUL %>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>

                                <br />

                                <fieldset>
                                    <table style="text-align: left;">
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblGENStart") %>:
                                            </td>
                                            <td>
                                                <input type="text" id="txtFecIni" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" style="width: 80px;" readonly="readonly" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblGENEnd") %>:
                                            </td>
                                            <td>
                                                <input type="text" id="txtFecFin" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(1)) %>" style="width: 80px;" readonly="readonly" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                <%=L.LBL("LblGENMotivo") %>:
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                <textarea id="txtMotivo2" style="width: 220px; height: 70px;"></textarea>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                            <td>
                                <input type="hidden" id="IdSubElementHAB" value="0" />
                                <table id="jqgHAB"></table>
                            </td>
                        </tr>
                    </table>
                </div>

                <div id="dlgFiltro" title="<%=L.LBL("LblGENFiltrar") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_thab" name="cbFil_id_thab" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENRoomType") %>:
                            </td>
                            <td colspan="2">
                                <%=cbTipoHabi %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_piso" name="cbFil_piso" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKPiso") %>:
                            </td>
                            <td>
                                <%=cbPiso %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_desde" name="cbFil_fecha_desde" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENStart") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFil_fecha_desde').prop('checked', true);")%>
                            </td>
                            <td style="white-space: nowrap;">
                                <input type="text" id="txtFil_fecha_desde" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_desde').prop('checked', true);" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFil_fecha_desde2" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_desde').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_hasta" name="cbFil_fecha_hasta" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENEnd") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFil_fecha_hasta').prop('checked', true);").Replace("cbDateOps", "cbDateOps2") %>
                            </td>
                            <td style="white-space: nowrap;">
                                <input type="text" id="txtFil_fecha_hasta" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_hasta').prop('checked', true);" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFil_fecha_hasta2" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha"
                                    onchange="$('#cbFil_fecha_hasta').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_observaciones" name="cbFil_observaciones" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENMotivo") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_observaciones" value="" onchange="$('input[name=cbFil_observaciones]').prop('checked', true);" />
                            </td>
                        </tr>
                    </table>
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("BloqueoHabitaciones") %> [5.2]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2">
                                                <img src="img/printer.png" />
                                                <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/5-2-bloqueo-de-habitaciones/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="RefreshGridHAB();$('#dlgMultiples').dialog('open');" id="A3">
                                                <img src="img/documents-stack.png" />
                                                <%=L.LBL("LblFDKBHSacarOrdenVarias") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="$('#dlgEliminar').dialog('open');" id="A4">
                                                <img src="img/cross-shield.png" />
                                                <%=L.LBL("LblFDKBHPonerOrdenMostradas") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <input type="hidden" id="IdSubElementBH" value="0" />
                <table id="jqgBH"></table>

                <br />

                <b><%=L.LBL("LblGENMotivo") %>:</b>

                <br />
                <br />

                <textarea id="txtMotivo" style="width: 495px; height: 70px;"></textarea>

                <br />
                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataBH" onclick="$('#dlgFiltro').dialog('open');">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png"
                                                            alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoBH" onclick="CreateBH();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarBH" onclick="DeleteBH();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconBH" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextBH"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarBH" onclick="SaveBH();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarBH" onclick="CancelBH();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    <td><%=L.LBL("LblGENCancel") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

